@ECHO OFF

openssl req -new -x509 -batch -days 7 -config RootCA.cnf -key RootCA.key -out RootCA.crt -set_serial 0x01
openssl x509 -noout -text -in RootCA.crt >RootCA.crt.txt 

openssl req -new -batch -key SrvCA.key -out SrvCA.csr -config SrvCA.cnf
openssl req -noout -text -in SrvCA.csr -config SrvCA.cnf >SrvCA.csr.txt 
openssl x509 -req -days 3 -in SrvCA.csr -extfile SrvCA.cnf -extensions certificate_extensions -CA RootCA.crt -CAkey RootCA.key -out SrvCA.crt -set_serial 0x0101
openssl x509 -noout -text -in SrvCA.crt >SrvCA.crt.txt

openssl req -new -batch -key CltCA.key -out CltCA.csr -config CltCA.cnf
openssl req -noout -text -in CltCA.csr -config CltCA.cnf >CltCA.csr.txt 
openssl x509 -req -days 3 -in CltCA.csr -extfile CltCA.cnf -extensions certificate_extensions -CA RootCA.crt -CAkey RootCA.key -out CltCA.crt -set_serial 0x0102
openssl x509 -noout -text -in CltCA.crt >CltCA.crt.txt

openssl req -new -key Srv.key -out Srv.csr -config Srv.cnf
openssl req -noout -text -in Srv.csr -config Srv.cnf >Srv.csr.txt 
openssl x509 -req -days 1 -in Srv.csr -extfile Srv.cnf -extensions certificate_extensions -CA SrvCA.crt -CAkey SrvCA.key -out Srv.crt -set_serial 0x010101
openssl x509 -noout -text -in Srv.crt >Srv.crt.txt

openssl req -new -key Clt.key -out Clt.csr -config Clt.cnf
openssl req -noout -text -in Clt.csr -config Clt.cnf >Clt.csr.txt 
openssl x509 -req -days 1 -in Clt.csr -extfile Clt.cnf -extensions certificate_extensions -CA CltCA.crt -CAkey CltCA.key -out Clt.crt -set_serial 0x010201
openssl x509 -noout -text -in Clt.crt >Clt.crt.txt

copy RootCA.crt            Trusted.pem
copy SrvCA.crt+RootCA.crt  SrvCAChain.pem
copy CltCA.crt+RootCA.crt  CltCAChain.pem
copy Srv.crt+SrvCA.crt     SrvChain.pem
copy Clt.crt+cltCA.crt     CltChain.pem
